Manifest-Version: 1.0
Bnd-LastModified: 1712144718647
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Headless Admin Content Implementation
Bundle-SymbolicName: com.liferay.headless.admin.content.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 2.0.29.hotfix-5225-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.fasterxml.jackson.databind;version="2.13",com.fast
 erxml.jackson.databind.ser;version="2.13",com.fasterxml.jackson.datab
 ind.ser.impl;version="2.13",com.liferay.document.library.kernel.servi
 ce;version="6.2",com.liferay.dynamic.data.mapping.io;version="2.2",co
 m.liferay.dynamic.data.mapping.model;version="6.1",com.liferay.dynami
 c.data.mapping.service;version="3.12",com.liferay.dynamic.data.mappin
 g.storage;version="1.9",com.liferay.dynamic.data.mapping.util;version
 ="4.0",com.liferay.dynamic.data.mapping.validator;version="1.6",com.l
 iferay.expando.kernel.model;version="4.1",com.liferay.expando.kernel.
 util;version="4.0",com.liferay.fragment.service;version="6.0",com.lif
 eray.headless.admin.content.dto.v1_0;version="1.1",com.liferay.headle
 ss.admin.content.resource.v1_0;version="1.4",com.liferay.headless.com
 mon.spi.odata.entity;version="1.1",com.liferay.headless.common.spi.se
 rvice.context;version="2.1",com.liferay.headless.delivery.dto.v1_0;ve
 rsion="24.3",com.liferay.headless.delivery.dto.v1_0.util;version="2.0
 ",com.liferay.headless.delivery.dynamic.data.mapping;version="1.0",co
 m.liferay.headless.delivery.search.aggregation;version="1.0",com.life
 ray.headless.delivery.search.sort;version="1.0",com.liferay.info.item
 ;version="4.0",com.liferay.info.item.provider;version="1.6",com.lifer
 ay.journal.model;version="9.1",com.liferay.journal.service;version="6
 .0",com.liferay.journal.util;version="4.0",com.liferay.layout.page.te
 mplate.exception;version="1.5",com.liferay.layout.page.template.impor
 ter;version="2.0",com.liferay.layout.page.template.model;version="6.2
 ",com.liferay.layout.page.template.service;version="5.0",com.liferay.
 layout.util.structure;version="6.4",com.liferay.petra.function;versio
 n="1.5",com.liferay.petra.string;version="1.6",com.liferay.portal.eve
 nts;version="6.0",com.liferay.portal.kernel.dao.orm;version="11.0",co
 m.liferay.portal.kernel.json;version="10.1",com.liferay.portal.kernel
 .language;version="10.0",com.liferay.portal.kernel.log;version="7.1",
 com.liferay.portal.kernel.model;version="16.0",com.liferay.portal.ker
 nel.search;version="13.0",com.liferay.portal.kernel.search.filter;ver
 sion="1.0",com.liferay.portal.kernel.security.auth;version="5.0",com.
 liferay.portal.kernel.security.permission;version="6.1",com.liferay.p
 ortal.kernel.security.permission.resource;version="2.0",com.liferay.p
 ortal.kernel.service;version="13.1",com.liferay.portal.kernel.service
 .permission;version="5.0",com.liferay.portal.kernel.servlet;version="
 11.1",com.liferay.portal.kernel.theme;version="9.0",com.liferay.porta
 l.kernel.util;version="38.0",com.liferay.portal.kernel.workflow;versi
 on="15.0",com.liferay.portal.odata.entity;version="2.0",com.liferay.p
 ortal.odata.filter;version="1.1",com.liferay.portal.search.aggregatio
 n;version="1.0",com.liferay.portal.search.legacy.searcher;version="1.
 0",com.liferay.portal.search.query;version="1.7",com.liferay.portal.s
 earch.searcher;version="1.11",com.liferay.portal.search.sort;version=
 "1.1",com.liferay.portal.vulcan.accept.language;version="1.1",com.lif
 eray.portal.vulcan.aggregation;version="1.2",com.liferay.portal.vulca
 n.dto.converter;version="1.6",com.liferay.portal.vulcan.graphql.annot
 ation;version="1.2",com.liferay.portal.vulcan.graphql.contributor;ver
 sion="1.1",com.liferay.portal.vulcan.graphql.servlet;version="1.1",co
 m.liferay.portal.vulcan.jaxrs.exception.mapper;version="1.1",com.life
 ray.portal.vulcan.pagination;version="1.4",com.liferay.portal.vulcan.
 resource;version="1.3",com.liferay.portal.vulcan.util;version="3.4",c
 om.liferay.taglib.util;version="13.0",io.swagger.v3.oas.annotations;v
 ersion="2.0",io.swagger.v3.oas.annotations.enums;version="2.0",io.swa
 gger.v3.oas.annotations.info;version="2.0",io.swagger.v3.oas.annotati
 ons.tags;version="2.0",javax.servlet,javax.servlet.http,javax.validat
 ion.constraints;version="2.0",javax.ws.rs;version="2.1",javax.ws.rs.c
 ore;version="2.1",javax.ws.rs.ext;version="2.1",org.jsoup;version="1.
 10",org.jsoup.nodes;version="1.10",org.osgi.framework;version="1.8",o
 rg.osgi.service.component;version="1.4"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Description: %liferay-releng-app-description
Liferay-Releng-App-Title: Liferay Hypermedia REST APIs
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.headless.admin.content.internal.dto.v1_0.
 converter,com.liferay.headless.admin.content.internal.dto.v1_0.extens
 ion,com.liferay.headless.admin.content.internal.dto.v1_0.util,com.lif
 eray.headless.admin.content.internal.graphql.mutation.v1_0,com.lifera
 y.headless.admin.content.internal.graphql.query.v1_0,com.liferay.head
 less.admin.content.internal.graphql.servlet.v1_0,com.liferay.headless
 .admin.content.internal.jaxrs.application,com.liferay.headless.admin.
 content.internal.jaxrs.exception.mapper,com.liferay.headless.admin.co
 ntent.internal.odata.entity.v1_0,com.liferay.headless.admin.content.i
 nternal.resource.v1_0,com.liferay.headless.admin.content.internal.res
 ource.v1_0.factory,com.liferay.headless.admin.content.internal.vulcan
 .graphql.contributor.v1_0
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .headless.admin.content.internal.dto.v1_0.converter.DisplayPageTempla
 teDTOConverter,com.liferay.portal.vulcan.dto.converter.DTOConverter";
 uses:="com.liferay.headless.admin.content.internal.dto.v1_0.converter
 ,com.liferay.portal.vulcan.dto.converter",osgi.service;objectClass:Li
 st<String>="com.liferay.headless.admin.content.internal.resource.v1_0
 .OpenAPIResourceImpl";uses:="com.liferay.headless.admin.content.inter
 nal.resource.v1_0",osgi.service;objectClass:List<String>="com.liferay
 .headless.admin.content.resource.v1_0.DisplayPageTemplateResource";us
 es:="com.liferay.headless.admin.content.resource.v1_0",osgi.service;o
 bjectClass:List<String>="com.liferay.headless.admin.content.resource.
 v1_0.DisplayPageTemplateResource$Factory";uses:="com.liferay.headless
 .admin.content.resource.v1_0",osgi.service;objectClass:List<String>="
 com.liferay.headless.admin.content.resource.v1_0.PageDefinitionResour
 ce";uses:="com.liferay.headless.admin.content.resource.v1_0",osgi.ser
 vice;objectClass:List<String>="com.liferay.headless.admin.content.res
 ource.v1_0.PageDefinitionResource$Factory";uses:="com.liferay.headles
 s.admin.content.resource.v1_0",osgi.service;objectClass:List<String>=
 "com.liferay.headless.admin.content.resource.v1_0.StructuredContentRe
 source";uses:="com.liferay.headless.admin.content.resource.v1_0",osgi
 .service;objectClass:List<String>="com.liferay.headless.admin.content
 .resource.v1_0.StructuredContentResource$Factory";uses:="com.liferay.
 headless.admin.content.resource.v1_0",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.vulcan.graphql.contributor.GraphQLContribu
 tor";uses:="com.liferay.portal.vulcan.graphql.contributor",osgi.servi
 ce;objectClass:List<String>="com.liferay.portal.vulcan.graphql.servle
 t.ServletData";uses:="com.liferay.portal.vulcan.graphql.servlet",osgi
 .service;objectClass:List<String>="javax.ws.rs.core.Application";uses
 :="javax.ws.rs.core",osgi.service;objectClass:List<String>="javax.ws.
 rs.ext.ExceptionMapper";uses:="javax.ws.rs.ext"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.doc
 ument.library.kernel.service.DLAppService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.dynamic.data.mapping.io.DDMFo
 rmValuesSerializer)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.dynamic.data.mapping.service.DDMStructureService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.dynam
 ic.data.mapping.util.DDM)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.dynamic.data.mapping.util.DDMIndexer)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.dat
 a.mapping.validator.DDMFormValuesValidator)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.fragment.service.FragmentEnt
 ryLinkLocalService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.headless.admin.content.internal.dto.v1_0.converter.D
 isplayPageTemplateDTOConverter)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.headless.admin.content.resource.v1_0.Dis
 playPageTemplateResource)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.headless.admin.content.resource.v1_0.PageDefin
 itionResource)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.headless.admin.content.resource.v1_0.StructuredContentRes
 ource)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.info.item.InfoItemServiceTracker)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.journal.service.JournalArticleLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.journal.service.JournalArticleService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.journal.util.JournalConver
 ter)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.layout.page.template.importer.LayoutPageTemplatesImporter)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.layout.page
 .template.service.LayoutPageTemplateEntryLocalService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.layout.page.templ
 ate.service.LayoutPageTemplateEntryService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.layout.page.template.service
 .LayoutPageTemplateStructureLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.security.permiss
 ion.PermissionCheckerFactory)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.security.permission.resource
 .PortletResourcePermission)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.CompanyLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.GroupLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.service.LayoutLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.service.ResourceActionLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.serv
 ice.ResourcePermissionLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.service.RoleLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.service.UserLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.service.permissio
 n.LayoutPermission)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.util.Portal)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.odata.filter.Expressi
 onConvert)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.odata.filter.FilterParserProvider)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.search.aggregat
 ion.Aggregations)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.search.legacy.searcher.SearchRequestBuilderFact
 ory)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.search.query.Queries)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.search.sort.Sorts)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.vulcan.dto.
 converter.DTOConverterRegistry)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.vulcan.resource.OpenAPIResource)"
 ;effective:=active,osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi.contrac
 t=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))"
 ,osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.headless.admin.content.interna
 l.dto.v1_0.converter.DisplayPageTemplateDTOConverter.xml,OSGI-INF/com
 .liferay.headless.admin.content.internal.graphql.servlet.v1_0.Servlet
 DataImpl.xml,OSGI-INF/com.liferay.headless.admin.content.internal.jax
 rs.application.HeadlessAdminContentApplication.xml,OSGI-INF/com.lifer
 ay.headless.admin.content.internal.jaxrs.exception.mapper.StructuredC
 ontentContentFieldsExceptionMapper.xml,OSGI-INF/com.liferay.headless.
 admin.content.internal.resource.v1_0.DisplayPageTemplateResourceImpl.
 xml,OSGI-INF/com.liferay.headless.admin.content.internal.resource.v1_
 0.OpenAPIResourceImpl.xml,OSGI-INF/com.liferay.headless.admin.content
 .internal.resource.v1_0.PageDefinitionResourceImpl.xml,OSGI-INF/com.l
 iferay.headless.admin.content.internal.resource.v1_0.StructuredConten
 tResourceImpl.xml,OSGI-INF/com.liferay.headless.admin.content.interna
 l.resource.v1_0.factory.DisplayPageTemplateResourceFactoryImpl.xml,OS
 GI-INF/com.liferay.headless.admin.content.internal.resource.v1_0.fact
 ory.PageDefinitionResourceFactoryImpl.xml,OSGI-INF/com.liferay.headle
 ss.admin.content.internal.resource.v1_0.factory.StructuredContentReso
 urceFactoryImpl.xml,OSGI-INF/com.liferay.headless.admin.content.inter
 nal.vulcan.graphql.contributor.v1_0.StructuredContentGraphQLContribut
 or.xml
Tool: Bnd-4.3.0.201909301554

